pipeline {
    agent any
    environment {
     BRANCH_NAME = "${GIT_BRANCH.split("/")[1]}"
  }
    
    stages {
	stage('stage 0') {
	steps {
			sh '''
				bash -x dep.sh
			'''
		}
	}
        stage('stage 1') {
           steps {
                script {
                    def USER_INPUT = input(
                    message: 'Deleted the deployment ?',
                    parameters: [
                            [$class: 'ChoiceParameterDefinition',
                             choices: ['no','yes'].join('\n'),
                             name: 'input',
                             description: 'Choose "yes" or "no"']
                    ])
                    echo "The answer is: ${USER_INPUT}"
                        if( "${USER_INPUT}" == "yes"){
                             git branch: env.BRANCH_NAME, credentialsId: 'git-lab-key', url: 'https://gitlab.com/anton.sytnik/ci-cd.git'
			     sh '''
				echo "13"
				'''
                    } else {
				echo env.GIT_BRANCH
                echo env.BRANCH_NAME
                            sh '''
                                bash -x dep.sh
                            '''
                    }
                }
            } 
        }
	stage('stage 2') {
	steps {
		sh '''
			bash -x dep.sh
		'''
	}
	}
    }
}
